overlay: use OVL_BASE_SCRATCH_MNT instead of SCRATCH_DEV
[xfstests-dev.git] / tests / overlay / 019
1 #! /bin/bash
2 # FS QA Test 019
3 #
4 # Run fsstress on lower dir and top dir at the same time
5 #
6 #-----------------------------------------------------------------------
7 # Copyright (c) 2016 Google, Inc.  All Rights Reserved.
8 #
9 # This program is free software; you can redistribute it and/or
10 # modify it under the terms of the GNU General Public License as
11 # published by the Free Software Foundation.
12 #
13 # This program is distributed in the hope that it would be useful,
14 # but WITHOUT ANY WARRANTY; without even the implied warranty of
15 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
16 # GNU General Public License for more details.
17 #
18 # You should have received a copy of the GNU General Public License
19 # along with this program; if not, write the Free Software Foundation,
20 # Inc.,  51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
21 #-----------------------------------------------------------------------
22 #
23
24 seq=`basename $0`
25 seqres=$RESULT_DIR/$seq
26 echo "QA output created by $seq"
27
28 here=`pwd`
29 tmp=/tmp/$$
30 status=1        # failure is the default!
31 trap "_cleanup; exit \$status" 0 1 2 3 15
32
33 _cleanup()
34 {
35         cd /
36         rm -f $tmp.*
37 }
38
39 # get standard environment, filters and checks
40 . ./common/rc
41 . ./common/filter
42
43 # remove previous $seqres.full before test
44 rm -f $seqres.full
45
46 # real QA test starts here
47 _supported_fs overlay
48 _supported_os Linux
49 _require_scratch
50
51 # Remove all files from previous tests
52 _scratch_mkfs
53
54 lowerdir=$OVL_BASE_SCRATCH_MNT/$OVL_LOWER
55 mkdir -p $lowerdir
56
57 _scratch_mount
58
59 echo "Silence is golden"
60
61 d_low=$lowerdir/fsstress
62 d_top=$SCRATCH_MNT/fsstress
63 mkdir -p $d_low $d_top
64
65 echo $FSSTRESS_PROG -s 42 -d $d_low -p 4 -n 1000 -l100 -v > $seqres.full.1
66 $FSSTRESS_PROG -s 42 -d $d_low -p 4 -n 1000 -l100 -v >> $seqres.full.1 2>&1 &
67
68 echo $FSSTRESS_PROG -s 42 -d $d_top -p 4 -n 1000 -l100 -v > $seqres.full.2
69 $FSSTRESS_PROG -s 42 -d $d_top -p 4 -n 1000 -l100 -v >> $seqres.full.2 2>&1 &
70
71 ret=0
72 if ! wait %1; then
73         echo "--------------------------------------"       >>$seqres.full.1
74         echo "fsstress on lower directory returned $? - see $seqres.full.1"
75         echo "--------------------------------------"       >>$seqres.full.1
76         ret=1
77 fi
78
79 if ! wait %2; then
80         echo "--------------------------------------"       >>$seqres.full.2
81         echo "fsstress on overlay directory returned $? - see $seqres.full.2"
82         echo "--------------------------------------"       >>$seqres.full.2
83         ret=1
84 fi
85
86 cat $seqres.full.1 $seqres.full.2 > $seqres.full
87 rm $seqres.full.1 $seqres.full.2
88
89 if [ "$ret" -eq 1 ]; then
90         status=1
91 else
92         status=0
93 fi
94
95 exit $status